SiliconFlow
API REFERENCE

Delete a Voice

Delete user-defined voice style

POST
/audio/voice/deletions
AuthorizationBearer <token>required

Set the header 'Authorization: Bearer {your API key}' for authentication

In: header

Header Parameters

X-Trace-Idstring

Request trace ID. You can pass a custom value to mark the request; if omitted, the platform generates one automatically. For troubleshooting, either this value or the x-siliconcloud-trace-id in the response header can be provided.

traceparentstring

The W3C Trace Context standard tracing header. When present, the platform uses its trace-id part as the tracing identifier of the request.

uristringrequired

Voice style to be deleted by the user

Example"speech:your-voice-name:xxx:xxxx"

Response Body

Successful response. The response header contains the x-siliconcloud-trace-id field as a unique identifier for tracing requests; a user-supplied X-Trace-Id request header (if any) is returned as-is in that field. For troubleshooting, either trace ID is sufficient.

TypeScript Definitions

Use the response body type in TypeScript.

responsestring

curl --request POST \
  --url https://api.siliconflow.cn/v1/audio/voice/deletions \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
    "uri": "speech:your-voice-name:xxx:xxxx"
  }'
import requests

url = "https://api.siliconflow.cn/v1/audio/voice/deletions"
payload = {"uri": "speech:your-voice-name:xxx:xxxx"}
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)
print(response.text)
"string"
{
  "code": 20012,
  "message": "string",
  "data": "string"
}
"Invalid token"
"Forbidden"
"404 page not found"
{
  "message": "Request was rejected due to rate limiting. If you want more, please contact contact@siliconflow.cn. Details:TPM limit reached.",
  "data": "string"
}
{
  "code": 50505,
  "message": "Model service overloaded. Please try again later.",
  "data": "string"
}
"string"
Delete a Voice